FlxpointAPI Help CenterBeta

Get Reseller Variants

gethttps://api.flxpoint.com/reseller-channels/{channelId}/products/variants

Use this when you want to pull resellers data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will retrieve back Variants

- Params starting with **filter*** will filter the results down - Params starting with **include*** will determine the metadata returned

Request

Query parameters
  • filterUpdatedAfterquerystring (date-time)required

    Filters down to Variants that have been updated after this timestamp. (Timestamp in UTC)

  • filterPageSizequeryinteger (int32)required

    Number of entries per page

  • filterPageNumberqueryinteger (int32)required

    Current page

  • includeOptionValuesqueryboolean

    Determines if "option_values" are returned in the response

  • includeImagesqueryboolean

    Determines if "images" are returned in the response

  • includeParentqueryboolean

    Determines if "parent" is returned in the response. If this is true - the parent will have EMPTY "variants" to prevent circular references

Example request

get/reseller-channels/{channelId}/products/variants
curl -X GET "https://api.flxpoint.com/reseller-channels/{channelId}/products/variants" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ResellerProductVariant]
idinteger (int32)
ID for the Variant
account_idinteger (int32)
ID for the Account
channel_idinteger (int32)required
ID for the Channel
reseller_product_parent_idinteger (int32)required
ID for the Parent
skustringrequired
Unique Stock Keeping Unit for this Channel
pricenumber
The "Price" of the Variant. When an order is placed, this field represents the price an item costs.
sale_pricenumber
A "Sale Price" for the Variant
msrpnumber
Manufacturer Suggested Retail Price
mapnumber
Minimum Advertised Price
estimated_shipping_costnumber
Represents an Estimated Shipping Cost (if provided)
estimated_dropship_feenumber
Represents an estimated dropship fee (if provided)
titlestring
mpnstring
Manufacturer Part Number
upcstring
Universal Product Code
eanstring
Global Trade Item Number
asinstring
Amazon "ASIN" Identifier
weightnumber
lengthnumber
widthnumber
heightnumber
weight_unitstring
The unit for "weight"
allowedpoundouncegramkilogram
dimension_unitstring
The unit for "length", "width", and "height"
allowedinchcentimeter
quantityinteger
The amount of inventory available to purchase
dimensional_weightnumber
Calculated Dimensional Weight (USPS Formula). Only present if all dimensions are present with a dimension unit
inserted_atstring (date-time)
updated_atstring (date-time)
Timestamp for the last time the variant had anything updated
option_valuesarray[ResellerProductVariantOption]
idinteger
reseller_product_parent_option_idinteger
namestring
(read only) provided via the Parent Option ID. For display purposes only
valuestring
imagesarray[ResellerProductVariantImage]
idinteger
reseller_product_variant_idinteger
md5_checksumstring
A MD5 checksum of the image
urlstring
The URL for the image
sort_orderinteger
parentobject
idinteger
account_idintegerrequired
channel_idintegerrequired
skustringrequired
Unique "Stock Keeping Unit" for the Parent. Although parents do not track "stock", they still have a unique identifier. Considered a "grouping identifier" for Variants.
titlestring
Title of the parent. Titles may be further customized at the "variant" level if desired.
descriptionstring
The description. Longer, free-form, supports HTML
brandstring
Brand of the parent
inserted_atstring (date-time)
updated_atstring (date-time)
imagesarray[ResellerProductParentImage]
idinteger
reseller_product_parent_idinteger
md5_checksumstring
A MD5 checksum of the image
urlstring
The URL for the image
sort_orderinteger
optionsarray[ResellerProductParentOption]
idinteger
reseller_product_parent_idinteger
namestring
attributesarray[ResellerProductParentAttribute]
idinteger
reseller_product_parent_idinteger
namestring
valuestring
variantsarray[ResellerProductVariant]
idinteger (int32)
ID for the Variant
account_idinteger (int32)
ID for the Account
channel_idinteger (int32)required
ID for the Channel
reseller_product_parent_idinteger (int32)required
ID for the Parent
skustringrequired
Unique Stock Keeping Unit for this Channel
pricenumber
The "Price" of the Variant. When an order is placed, this field represents the price an item costs.
sale_pricenumber
A "Sale Price" for the Variant
msrpnumber
Manufacturer Suggested Retail Price
mapnumber
Minimum Advertised Price
estimated_shipping_costnumber
Represents an Estimated Shipping Cost (if provided)
estimated_dropship_feenumber
Represents an estimated dropship fee (if provided)
titlestring
mpnstring
Manufacturer Part Number
upcstring
Universal Product Code
eanstring
Global Trade Item Number
asinstring
Amazon "ASIN" Identifier
weightnumber
lengthnumber
widthnumber
heightnumber
weight_unitstring
The unit for "weight"
allowedpoundouncegramkilogram
dimension_unitstring
The unit for "length", "width", and "height"
allowedinchcentimeter
quantityinteger
The amount of inventory available to purchase
dimensional_weightnumber
Calculated Dimensional Weight (USPS Formula). Only present if all dimensions are present with a dimension unit
inserted_atstring (date-time)
updated_atstring (date-time)
Timestamp for the last time the variant had anything updated
option_valuesarray[ResellerProductVariantOption]
idinteger
reseller_product_parent_option_idinteger
namestring
(read only) provided via the Parent Option ID. For display purposes only
valuestring
imagesarray[ResellerProductVariantImage]
idinteger
reseller_product_variant_idinteger
md5_checksumstring
A MD5 checksum of the image
urlstring
The URL for the image
sort_orderinteger
parentobject
idinteger
account_idintegerrequired
channel_idintegerrequired
skustringrequired
Unique "Stock Keeping Unit" for the Parent. Although parents do not track "stock", they still have a unique identifier. Considered a "grouping identifier" for Variants.
titlestring
Title of the parent. Titles may be further customized at the "variant" level if desired.
descriptionstring
The description. Longer, free-form, supports HTML
brandstring
Brand of the parent
inserted_atstring (date-time)
updated_atstring (date-time)
imagesarray[ResellerProductParentImage]
optionsarray[ResellerProductParentOption]
attributesarray[ResellerProductParentAttribute]
variantsarray[ResellerProductVariant]
category_oneobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
category_twoobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
category_threeobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
descriptionstring
category_oneobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
category_twoobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
category_threeobject
idinteger
namestring
parent_category_idinteger
channel_idinteger
inserted_atstring (date-time)
updated_atstring (date-time)
descriptionstring
Example response
[
  {
    "id": 123,
    "account_id": 1,
    "channel_id": 1,
    "reseller_product_parent_id": 4512,
    "sku": "string",
    "price": 299,
    "sale_price": 199,
    "msrp": 0,
    "map": 0,
    "estimated_shipping_cost": 0,
    "estimated_dropship_fee": 0,
    "title": "string",
    "mpn": "string",
    "upc": "string",
    "ean": "string",
    "asin": "string",
    "weight": 0,
    "length": 0,
    "width": 0,
    "height": 0,
    "weight_unit": "pound",
    "dimension_unit": "inch",
    "quantity": 0,
    "dimensional_weight": 0,
    "inserted_at": "2026-04-20T00:00:00Z",
    "updated_at": "2026-04-20T00:00:00Z",
    "option_values": [
      {
        "id": 0,
        "reseller_product_parent_option_id": 0,
        "name": "string",
        "value": "string"
      }
    ],
    "images": [
      {
        "id": 0,
        "reseller_product_variant_id": 0,
        "md5_checksum": "string",
        "url": "string",
        "sort_order": 0
      }
    ],
    "parent": {
      "id": 0,
      "account_id": 0,
      "channel_id": 0,
      "sku": "HG412312",
      "title": "The Big Shoe",
      "description": "string",
      "brand": "Nicefinds",
      "inserted_at": "2026-04-20T00:00:00Z",
      "updated_at": "2026-04-20T00:00:00Z",
      "images": [
        {
          "id": null,
          "reseller_product_parent_id": null,
          "md5_checksum": null,
          "url": null,
          "sort_order": null
        }
      ],
      "options": [
        {
          "id": null,
          "reseller_product_parent_id": null,
          "name": null
        }
      ],
      "attributes": [
        {
          "id": null,
          "reseller_product_parent_id": null,
          "name": null,
          "value": null
        }
      ],
      "variants": [
        {
          "id": 123,
          "account_id": 1,
          "channel_id": 1,
          "reseller_product_parent_id": 4512,
          "sku": null,
          "price": 299,
          "sale_price": 199,
          "msrp": null,
          "map": null,
          "estimated_shipping_cost": null,
          "estimated_dropship_fee": null,
          "title": null,
          "mpn": null,
          "upc": null,
          "ean": null,
          "asin": null,
          "weight": null,
          "length": null,
          "width": null,
          "height": null,
          "weight_unit": null,
          "dimension_unit": null,
          "quantity": null,
          "dimensional_weight": null,
          "inserted_at": null,
          "updated_at": null,
          "option_values": null,
          "images": null,
          "parent": null,
          "description": null
        }
      ],
      "category_one": {
        "id": 0,
        "name": "string",
        "parent_category_id": 0,
        "channel_id": 0,
        "inserted_at": "2026-04-20T00:00:00Z",
        "updated_at": "2026-04-20T00:00:00Z"
      },
      "category_two": {
        "id": 0,
        "name": "string",
        "parent_category_id": 0,
        "channel_id": 0,
        "inserted_at": "2026-04-20T00:00:00Z",
        "updated_at": "2026-04-20T00:00:00Z"
      },
      "category_three": {
        "id": 0,
        "name": "string",
        "parent_category_id": 0,
        "channel_id": 0,
        "inserted_at": "2026-04-20T00:00:00Z",
        "updated_at": "2026-04-20T00:00:00Z"
      }
    },
    "description": "string"
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Reseller Variants",
    "description": "This endpoint will retrieve back Variants\n\n- Params starting with **filter*** will filter the results down\n- Params starting with **include*** will determine the metadata returned",
    "parameters": [
      {
        "schema": {
          "type": "string",
          "format": "date-time",
          "example": "2020-10-14T16:05:00.000Z"
        },
        "in": "query",
        "name": "filterUpdatedAfter",
        "description": "Filters down to Variants that have been updated after this timestamp. (Timestamp in UTC)",
        "required": true
      },
      {
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 50,
          "minimum": 1,
          "maximum": 50,
          "example": 50
        },
        "in": "query",
        "name": "filterPageSize",
        "description": "Number of entries per page",
        "required": true
      },
      {
        "schema": {
          "type": "integer",
          "format": "int32",
          "default": 1,
          "example": 1,
          "minimum": 1
        },
        "in": "query",
        "name": "filterPageNumber",
        "description": "Current page",
        "required": true
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeOptionValues",
        "description": "Determines if \"option_values\" are returned in the response"
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeImages",
        "description": "Determines if \"images\" are returned in the response"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeParent",
        "description": "Determines if \"parent\" is returned in the response. If this is true - the parent will have EMPTY \"variants\" to prevent circular references"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ResellerProductVariant"
              }
            },
            "examples": {
              "example-full": {
                "value": [
                  {
                    "id": 123,
                    "account_id": 1,
                    "channel_id": 1,
                    "reseller_product_parent_id": 4512,
                    "sku": "string",
                    "price": 299,
                    "sale_price": 199,
                    "msrp": 0,
                    "map": 0,
                    "estimated_shipping_cost": 0,
                    "estimated_dropship_fee": 0,
                    "title": "string",
                    "mpn": "string",
                    "upc": "stringstring",
                    "ean": "stringstrings",
                    "asin": "string",
                    "weight": 0,
                    "length": 0,
                    "width": 0,
                    "height": 0,
                    "weight_unit": "pound",
                    "dimension_unit": "inch",
                    "quantity": 0,
                    "dimensional_weight": 0,
                    "inserted_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "option_values": [
                      {
                        "id": 0,
                        "reseller_product_parent_option_id": 0,
                        "name": "string",
                        "value": "string"
                      }
                    ],
                    "images": [
                      {
                        "id": 0,
                        "reseller_product_variant_id": 0,
                        "md5_checksum": "string",
                        "url": "string",
                        "sort_order": 0
                      }
                    ],
                    "parent": {
                      "id": 0,
                      "account_id": 0,
                      "channel_id": 0,
                      "sku": "HG412312",
                      "title": "The Big Shoe",
                      "description": "string",
                      "brand": "Nicefinds",
                      "inserted_at": "2019-08-24T14:15:22Z",
                      "updated_at": "2019-08-24T14:15:22Z",
                      "images": [
                        {
                          "id": 0,
                          "reseller_product_parent_id": 0,
                          "md5_checksum": "string",
                          "url": "string",
                          "sort_order": 0
                        }
                      ],
                      "options": [
                        {
                          "id": 0,
                          "reseller_product_parent_id": 0,
                          "name": "string"
                        }
                      ],
                      "attributes": [
                        {
                          "id": 0,
                          "reseller_product_parent_id": 0,
                          "name": "string",
                          "value": "string"
                        }
                      ],
                      "variants": [],
                      "category_one": {
                        "id": 0,
                        "name": "string",
                        "parent_category_id": 0,
                        "channel_id": 0,
                        "inserted_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z"
                      },
                      "category_two": {
                        "id": 0,
                        "name": "string",
                        "parent_category_id": 0,
                        "channel_id": 0,
                        "inserted_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z"
                      },
                      "category_three": {
                        "id": 0,
                        "name": "string",
                        "parent_category_id": 0,
                        "channel_id": 0,
                        "inserted_at": "2019-08-24T14:15:22Z",
                        "updated_at": "2019-08-24T14:15:22Z"
                      }
                    }
                  }
                ]
              },
              "example-minimum": {
                "value": [
                  {
                    "id": 123,
                    "account_id": 1,
                    "channel_id": 1,
                    "reseller_product_parent_id": 4512,
                    "sku": "string",
                    "price": 299,
                    "sale_price": 199,
                    "msrp": 0,
                    "map": 0,
                    "estimated_shipping_cost": 0,
                    "estimated_dropship_fee": 0,
                    "title": "string",
                    "mpn": "string",
                    "upc": "stringstring",
                    "ean": "stringstrings",
                    "asin": "string",
                    "weight": 0,
                    "length": 0,
                    "width": 0,
                    "height": 0,
                    "weight_unit": "pound",
                    "dimension_unit": "inch",
                    "quantity": 0,
                    "dimensional_weight": 0,
                    "inserted_at": "2019-08-24T14:15:22Z",
                    "updated_at": "2019-08-24T14:15:22Z",
                    "option_values": [],
                    "images": [],
                    "parent": null
                  }
                ]
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight